#pragma once
#include <memory>
#include <vector>
#include <string>

class XmlAttribute
{
private:
    std::string mName;
    std::string mValue;

public:

    XmlAttribute(const std::string& name);

    static std::unique_ptr<XmlAttribute> Create(const std::string& name);

    void SetValue(const std::string& value);

    std::string GetName() const;

    std::string GetValue() const;
};

using XmlAttributePtr = std::shared_ptr<XmlAttribute>;
using XmlAttributeUPtr = std::unique_ptr<XmlAttribute>;
